xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (c) Markus Ongyerth 2017
License | BSD3-style (see LICENSE)
Maintainer | markus@ongy.net
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell98

XMonad.Util.SessionStart

Description

A module for detectiong session startup. Useful to start status bars, compositors and session initialization. This is a more general approach than spawnOnce and allows spawnOn etc.

Synopsis

- doOnce :: X () -> X ()
- isSessionStart :: X Bool
- setSessionStarted :: X ()

# Documentation

doOnce :: X () -> X () #

Use this to only do a part of your hook on session start

isSessionStart :: X Bool #

Query if the current startup is the session start

setSessionStarted :: X () #

This currently has to be added to the end of the startup hook to set the flag.